Subject: Re: What's cooking in git.git (Jul 2009, #02; Sun, 26)

From: Michael Haggerty <[email-masked]>
Date: Sun, 26 Jul 2009 16:08:08 +0200

Junio C Hamano wrote:
> * hv/cvsps-tests (Sun Apr 5 01:40:50 2009 -0700) 8 commits
>  - t/t9600: remove exit after test_done
>  - cvsimport: extend testcase about patchset order to contain
>    branches
>  - cvsimport: add test illustrating a bug in cvsps
>  - Add a test of "git cvsimport"'s handling of tags and branches
>  - Add some tests of git-cvsimport's handling of vendor branches
>  - Test contents of entire cvsimported "master" tree contents
>  - Use CVS's -f option if available (ignore user's ~/.cvsrc file)
>  - Start a library for cvsimport-related tests

What needs to happen to get these changes moving again?  The last
relevant comment I can find from you about this subject is from 2009-02-22:

> Thanks, both.  I generally am not very fond of adding tests without
> intention to look into fixes, but if they make outstanding bugs more
> visible, they may have the effect of shaming the original authors
> badly enough to step in in the effort of fixing them  ;-)

No knight in shining armor has shown up to fix these bugs, but there is
still value to documenting them in the form of unit tests.

Michael